Bug 493926 - S-c-tools cleanup: use standard about dialog and license.
S-c-tools cleanup: use standard about dialog and license.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 493602
  Show dependency treegraph
 
Reported: 2009-04-03 06:15 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 10:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use standard about dialog (2.32 KB, patch)
2009-04-10 07:01 EDT, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:15:57 EDT
Description of problem
Every tool should have standard gtk (glade) about dialog and license.

How reproducible
Steps to Reproduce
menu -> help -> about

Actual results
Missing about dialog and/or bad format.

Expected results
Standard format dialog like in system-config-firewall

Additional info
About dialog can be easily created using GtkAboutDialog. See http://www.pygtk.org/docs/pygtk/class-gtkaboutdialog.html
Comment 1 Roman Rakus 2009-04-10 04:38:19 EDT
I'll do it
Comment 2 Roman Rakus 2009-04-10 07:01:22 EDT
Created attachment 339080 [details]
Patch to use standard about dialog
Comment 3 Roman Rakus 2009-04-10 07:02:20 EDT
Chris, will you apply the patch?
Comment 4 Chris Lumens 2009-04-13 10:59:09 EDT
Yes, applied and will be in the next build of system-config-kickstart.  I added myself to the authors list, too.

Note You need to log in before you can comment on or make changes to this bug.